#
#	$Id: Default.h,v 1.4 2016/11/29 14:49:39 root Exp $
# This is the header for "default" HTTP server configuration file
#
    root	/www/demoxc4;

    access_log  /var/log/nginx/default-access.log main buffer=8k flush=1m;
    error_log  /var/log/nginx/default-error.log info;

    # CloudFlare masquerading
    include     conf.d/CloudFlare.h;

    # redirect server error pages to the static page /50x.html && /404.html

    error_page	404	/404.html;
    location = /404.html {
	root	/usr/share/nginx/html;
    }
    error_page	500 502 503 504	/50x.html;
    location = /50x.html {
	root	/usr/share/nginx/html;
    }

