#
#	$Id: DemoXC4.h,v 1.1 2019/02/05 11:56:52 root Exp $
# This is the header for "demo4.x-cart.com" HTTP server configuration file
#
root	/www/demo;

access_log  /var/log/nginx/demo4-access.log main buffer=8k flush=1m;
error_log  /var/log/nginx/demo4-error.log info;

# CloudFlare masquerading
include     conf.d/CloudFlare.h;

# redirect server error pages to the static page /50x.html && /404.html
#error_page	404	@internal;
error_page	404	/404.html;

location = /404.html {
    root	/www/nginx;
}

error_page	500 502 503 504	/50x.html;
location = /50x.html {
    root	/www/nginx;
}
